# 📕 Self-Defined Dictionary
[![Netlify Status](https://api.netlify.com/api/v1/badges/82274e91-8f6a-474e-9b2a-fca29bb72d75/deploy-status)](https://app.netlify.com/sites/selfdefined/deploys)

A modern dictionary about us. We define our words, but they don't define us.

Self-Defined seeks to provide more inclusive, holistic, and fluid definitions to reflect the modern world.
For now, this stands as a list only, from which you can self-educate. Pull requests can be made to include words that are not yet represented.

## Context
- Dictionary definitions, which are written by centred and majority people, are often weaponised to refute marginalised and minoritised people. If I had a dollar for every time I got pasted the definition of "racism." 
- Marginalised people do an extraordinary burden to define words for people. My hope is to minimise that emotional labour and place it onto a robot.
- Words help to materialise concepts, which allow people to be perceived in their identities. Words also create policies, which can define infrastructure.

## Components (Build order)
1. **Dictionary site**: Webapp where words can be connected, linking to alternates for bad terms or alternates for definitions with nuance. Create ability to use parameters so someone can connect multiple words they use together, to help clear up how they define themselves. For example, `?disabled+pan+Indigenous`. Creating such a strand easily would allow people to link in email signatures, Twitter bios, etc.
2. **Twitter bot:** Allows someone to tag [@SelfDefinedBot](https://twitter.com/SelfDefinedBot) in order to get automated reply. For example '@SelfDefinedBot define racism'.
3. **Slack bot:** Problematic words could be flagged and alternates could be provided. Could also define words.
4. **Custom API:** Allows dictionary to be adapted and included into other large-scale projects. 

## Design
- Typography at its core, focused on legibility, performance, and future-proofing for translations/non-Roman alphabets.
- High-contrast colour palette, again for legibility.
- Lack of imagery or ornamentation, given the sensitivity and representation of these communities. Depicting them visually at this time feels reductionist.

## Philosophies
- Maintain OSS nature for non-profit and other OSS uses, but charge for corporate uses.
- Ensure that dictionary includes nuances and expresses that not everyone ascribes to terms exactly as they are; illustrate and articulate those nuances wherever possible.
- Accessibility, inclusion, and performance are at the core of this project.

## How to Help
🐛 Check [Issues](https://github.com/tatianamac/selfdefined/issues), which include code and also definition writing.
💰 Support this OSS project by [sponsoring me](https://github.com/users/tatianamac/sponsorship).
🐦 Follow [Self-Defined on Twitter](https://twitter.com/selfdefinedapp).
